Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
external-accounts
Get External Accounts
curl --request GET \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "d43eaff3-bc75-44f6-ac37-3a305192ead6",
    "last4": "0000",
    "bankName": "Example Bank",
    "status": "ACTIVE",
    "provider": "PLAID"
  }
]
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Response

List of external accounts linked to a business

id
string

Unique identifier for the external account

Example:

"d43eaff3-bc75-44f6-ac37-3a305192ead6"

last4
string

Last 4 digits of the account number

Example:

"0000"

bankName
string

Name of the bank

Example:

"Example Bank"

status
string

Status of the external account

Example:

"ACTIVE"

hostedVerificationUrl
string

URL for hosted verification if required

provider
string

Provider of the external account link

Example:

"PLAID"